org.openstreetmap.josm.plugins.streetside.io.export

## Class StreetsideExportWriterThread

- java.lang.Object
- - java.lang.Thread
  - - org.openstreetmap.josm.plugins.streetside.io.export.StreetsideExportWriterThread

- All Implemented Interfaces:
    Runnable

      public class StreetsideExportWriterThread
      extends Thread

  Writes the images from the queue in the file system.
  See Also:
    `StreetsideExportManager`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `amount`
    `private ProgressMonitor` | `monitor`
    `private String` | `path`
    `private ArrayBlockingQueue<BufferedImage>` | `queue`
    `private ArrayBlockingQueue<StreetsideAbstractImage>` | `queueImages`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideExportWriterThread(String path, ArrayBlockingQueue<BufferedImage> queue, ArrayBlockingQueue<StreetsideAbstractImage> queueImages, int amount, ProgressMonitor monitor)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### path

          private final String path

    - #### queue

          private final ArrayBlockingQueue<BufferedImage> queue

    - #### queueImages

          private final ArrayBlockingQueue<StreetsideAbstractImage> queueImages

    - #### amount

          private final int amount

    - #### monitor

          private final ProgressMonitor monitor

  - ### Constructor Detail

    - #### StreetsideExportWriterThread

          public StreetsideExportWriterThread(String path,
                                              ArrayBlockingQueue<BufferedImage> queue,
                                              ArrayBlockingQueue<StreetsideAbstractImage> queueImages,
                                              int amount,
                                              ProgressMonitor monitor)

      Main constructor.
      Parameters:
        `path` - Path to write the pictures.
        `queue` - Queue of `StreetsideAbstractImage` objects.
        `queueImages` - Queue of `BufferedImage` objects.
        `amount` - Amount of images that are going to be exported.
        `monitor` - Progress monitor.

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

JOSM Plugins